org.apache.ode.il.config

## Class OdeConfigProperties

- java.lang.Object
- - org.apache.ode.il.config.OdeConfigProperties

- Direct Known Subclasses:
    ODEConfigProperties

      public class OdeConfigProperties
      extends java.lang.Object

  Configuration object used for configuring the intergration layer. The propereties are those likely to be common to all layers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OdeConfigProperties.DatabaseMode` Possible database modes.
    `static class` | `OdeConfigProperties.EmbeddedDbType` Possible database implementation.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_DAOCF_CLASS`
    `static java.lang.String` | `DEFAULT_DB_EMB_NAME`
    `static java.lang.String` | `DEFAULT_DB_EMB_TYPE`
    `static java.lang.String` | `DEFAULT_TX_FACTORY_CLASS_NAME`
    `static java.lang.String` | `PROP_CONNECTOR_NAME`
    `static java.lang.String` | `PROP_CONNECTOR_PORT`
    `static java.lang.String` | `PROP_DAOCF`
    `static java.lang.String` | `PROP_DB_EMBEDDED_CREATE`
    `static java.lang.String` | `PROP_DB_EMBEDDED_NAME`
    `static java.lang.String` | `PROP_DB_EMBEDDED_TYPE`
    `static java.lang.String` | `PROP_DB_EXTERNAL_DS`
    `static java.lang.String` | `PROP_DB_INTERNAL_DRIVER`
    `static java.lang.String` | `PROP_DB_INTERNAL_PASSWORD`
    `static java.lang.String` | `PROP_DB_INTERNAL_URL`
    `static java.lang.String` | `PROP_DB_INTERNAL_USER`
    `static java.lang.String` | `PROP_DB_LOGGING`
    `static java.lang.String` | `PROP_DB_MODE`
    `static java.lang.String` | `PROP_DB_POOL_BLOCKING`
    `static java.lang.String` | `PROP_DEPLOY_DIR`
    `static java.lang.String` | `PROP_EVENT_LISTENERS`
    `static java.lang.String` | `PROP_MEX_INMEM_TTL`
    `static java.lang.String` | `PROP_MEX_INTERCEPTORS`
    `static java.lang.String` | `PROP_MIGRATION_TRANSACTION_TIMEOUT`
    `static java.lang.String` | `PROP_POOL_MAX`
    `static java.lang.String` | `PROP_POOL_MIN`
    `static java.lang.String` | `PROP_PROCESS_DEHYDRATION`
    `static java.lang.String` | `PROP_PROCESS_DEHYDRATION_MAXIMUM_AGE`
    `static java.lang.String` | `PROP_PROCESS_DEHYDRATION_MAXIMUM_COUNT`
    `static java.lang.String` | `PROP_PROCESS_HYDRATION_LAZY`
    `static java.lang.String` | `PROP_PROCESS_HYDRATION_LAZY_MINIMUM_SIZE`
    `static java.lang.String` | `PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_COUNT`
    `static java.lang.String` | `PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_SIZE`
    `static java.lang.String` | `PROP_PROCESS_INSTANCE_THROTTLED_MAXIMUM_COUNT`
    `static java.lang.String` | `PROP_THREAD_POOL_SIZE`
    `static java.lang.String` | `PROP_TX_FACTORY_CLASS`
    `static java.lang.String` | `PROP_WORKING_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdeConfigProperties(java.io.File cfgFile, java.lang.String prefix)`
    `OdeConfigProperties(java.util.Properties props, java.lang.String prefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConnectorName()`
    `int` | `getConnectorPort()`
    `java.lang.String` | `getDAOConnectionFactory()`
    `java.lang.String` | `getDbDataSource()`
    `java.lang.String` | `getDbEmbeddedName()` Should the internal database be used, or are the datasources provided?
    `OdeConfigProperties.EmbeddedDbType` | `getDbEmbeddedType()`
    `java.lang.String` | `getDbIntenralJdbcUrl()`
    `java.lang.String` | `getDbInternalJdbcDriverClass()` JDBC driver class (for use in INTERNAL mode).
    `java.lang.String` | `getDbInternalMCFClass()`
    `java.util.Properties` | `getDbInternalMCFProperties()`
    `java.lang.String` | `getDbInternalPassword()`
    `java.lang.String` | `getDbInternalUserName()`
    `OdeConfigProperties.DatabaseMode` | `getDbMode()`
    `long` | `getDehydrationMaximumAge()`
    `int` | `getDehydrationMaximumCount()`
    `java.lang.String` | `getDeployDir()`
    `java.lang.String` | `getEventListeners()`
    `java.io.File` | `getFile()`
    `int` | `getHydrationLazyMinimumSize()`
    `long` | `getInMemMexTtl()`
    `int` | `getInstanceThrottledMaximumCount()`
    `java.lang.String` | `getMessageExchangeInterceptors()`
    `int` | `getMigrationTransactionTimeout()`
    `boolean` | `getPoolBlocking()`
    `int` | `getPoolMaxSize()`
    `int` | `getPoolMinSize()`
    `int` | `getProcessThrottledMaximumCount()`
    `long` | `getProcessThrottledMaximumSize()`
    `java.util.Properties` | `getProperties()`
    `java.lang.String` | `getProperty(java.lang.String pname)`
    `java.lang.String` | `getProperty(java.lang.String key, java.lang.String dflt)`
    `int` | `getThreadPoolMaxSize()`
    `java.lang.String` | `getTxFactoryClass()`
    `java.lang.String` | `getWorkingDir()`
    `boolean` | `isDbEmbeddedCreate()`
    `boolean` | `isDbLoggingEnabled()`
    `boolean` | `isDehydrationEnabled()`
    `boolean` | `isHydrationLazy()`
    `boolean` | `isProcessSizeThrottled()`
    `void` | `load()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_DB_MODE

          public static final java.lang.String PROP_DB_MODE

      See Also:
        Constant Field Values

    - #### PROP_DB_EXTERNAL_DS

          public static final java.lang.String PROP_DB_EXTERNAL_DS

      See Also:
        Constant Field Values

    - #### PROP_DB_EMBEDDED_NAME

          public static final java.lang.String PROP_DB_EMBEDDED_NAME

      See Also:
        Constant Field Values

    - #### PROP_DB_EMBEDDED_TYPE

          public static final java.lang.String PROP_DB_EMBEDDED_TYPE

      See Also:
        Constant Field Values

    - #### PROP_DB_EMBEDDED_CREATE

          public static final java.lang.String PROP_DB_EMBEDDED_CREATE

      See Also:
        Constant Field Values

    - #### PROP_DB_INTERNAL_URL

          public static final java.lang.String PROP_DB_INTERNAL_URL

      See Also:
        Constant Field Values

    - #### PROP_DB_INTERNAL_DRIVER

          public static final java.lang.String PROP_DB_INTERNAL_DRIVER

      See Also:
        Constant Field Values

    - #### PROP_DB_INTERNAL_PASSWORD

          public static final java.lang.String PROP_DB_INTERNAL_PASSWORD

      See Also:
        Constant Field Values

    - #### PROP_DB_INTERNAL_USER

          public static final java.lang.String PROP_DB_INTERNAL_USER

      See Also:
        Constant Field Values

    - #### PROP_DB_LOGGING

          public static final java.lang.String PROP_DB_LOGGING

      See Also:
        Constant Field Values

    - #### PROP_TX_FACTORY_CLASS

          public static final java.lang.String PROP_TX_FACTORY_CLASS

      See Also:
        Constant Field Values

    - #### PROP_POOL_MAX

          public static final java.lang.String PROP_POOL_MAX

      See Also:
        Constant Field Values

    - #### PROP_POOL_MIN

          public static final java.lang.String PROP_POOL_MIN

      See Also:
        Constant Field Values

    - #### PROP_DB_POOL_BLOCKING

          public static final java.lang.String PROP_DB_POOL_BLOCKING

      See Also:
        Constant Field Values

    - #### PROP_THREAD_POOL_SIZE

          public static final java.lang.String PROP_THREAD_POOL_SIZE

      See Also:
        Constant Field Values

    - #### PROP_CONNECTOR_PORT

          public static final java.lang.String PROP_CONNECTOR_PORT

      See Also:
        Constant Field Values

    - #### PROP_CONNECTOR_NAME

          public static final java.lang.String PROP_CONNECTOR_NAME

      See Also:
        Constant Field Values

    - #### PROP_WORKING_DIR

          public static final java.lang.String PROP_WORKING_DIR

      See Also:
        Constant Field Values

    - #### PROP_DEPLOY_DIR

          public static final java.lang.String PROP_DEPLOY_DIR

      See Also:
        Constant Field Values

    - #### PROP_EVENT_LISTENERS

          public static final java.lang.String PROP_EVENT_LISTENERS

      See Also:
        Constant Field Values

    - #### PROP_MEX_INTERCEPTORS

          public static final java.lang.String PROP_MEX_INTERCEPTORS

      See Also:
        Constant Field Values

    - #### PROP_MEX_INMEM_TTL

          public static final java.lang.String PROP_MEX_INMEM_TTL

      See Also:
        Constant Field Values

    - #### PROP_PROCESS_DEHYDRATION

          public static final java.lang.String PROP_PROCESS_DEHYDRATION

      See Also:
        Constant Field Values

    - #### PROP_PROCESS_DEHYDRATION_MAXIMUM_AGE

          public static final java.lang.String PROP_PROCESS_DEHYDRATION_MAXIMUM_AGE

      See Also:
        Constant Field Values

    - #### PROP_PROCESS_DEHYDRATION_MAXIMUM_COUNT

          public static final java.lang.String PROP_PROCESS_DEHYDRATION_MAXIMUM_COUNT

      See Also:
        Constant Field Values

    - #### PROP_PROCESS_HYDRATION_LAZY

          public static final java.lang.String PROP_PROCESS_HYDRATION_LAZY

      See Also:
        Constant Field Values

    - #### PROP_PROCESS_HYDRATION_LAZY_MINIMUM_SIZE

          public static final java.lang.String PROP_PROCESS_HYDRATION_LAZY_MINIMUM_SIZE

      See Also:
        Constant Field Values

    - #### PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_COUNT

          public static final java.lang.String PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_COUNT

      See Also:
        Constant Field Values

    - #### PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_SIZE

          public static final java.lang.String PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_SIZE

      See Also:
        Constant Field Values

    - #### PROP_PROCESS_INSTANCE_THROTTLED_MAXIMUM_COUNT

          public static final java.lang.String PROP_PROCESS_INSTANCE_THROTTLED_MAXIMUM_COUNT

      See Also:
        Constant Field Values

    - #### PROP_DAOCF

          public static final java.lang.String PROP_DAOCF

      See Also:
        Constant Field Values

    - #### PROP_MIGRATION_TRANSACTION_TIMEOUT

          public static final java.lang.String PROP_MIGRATION_TRANSACTION_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_TX_FACTORY_CLASS_NAME

          public static final java.lang.String DEFAULT_TX_FACTORY_CLASS_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_DB_EMB_NAME

          public static java.lang.String DEFAULT_DB_EMB_NAME

    - #### DEFAULT_DB_EMB_TYPE

          public static java.lang.String DEFAULT_DB_EMB_TYPE

    - #### DEFAULT_DAOCF_CLASS

          public static java.lang.String DEFAULT_DAOCF_CLASS

  - ### Constructor Detail

    - #### OdeConfigProperties

          public OdeConfigProperties(java.io.File cfgFile,
                                     java.lang.String prefix)

    - #### OdeConfigProperties

          public OdeConfigProperties(java.util.Properties props,
                                     java.lang.String prefix)

  - ### Method Detail

    - #### getFile

          public java.io.File getFile()

    - #### load

          public void load()
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getDbEmbeddedName

          public java.lang.String getDbEmbeddedName()

      Should the internal database be used, or are the datasources provided?
      Returns:
        db mode

    - #### getDbEmbeddedType

          public OdeConfigProperties.EmbeddedDbType getDbEmbeddedType()

    - #### isDbEmbeddedCreate

          public boolean isDbEmbeddedCreate()

    - #### getDbMode

          public OdeConfigProperties.DatabaseMode getDbMode()

    - #### getDAOConnectionFactory

          public java.lang.String getDAOConnectionFactory()

    - #### getDbDataSource

          public java.lang.String getDbDataSource()

    - #### getDbIntenralJdbcUrl

          public java.lang.String getDbIntenralJdbcUrl()

    - #### getDbInternalMCFClass

          public java.lang.String getDbInternalMCFClass()

    - #### getDbInternalMCFProperties

          public java.util.Properties getDbInternalMCFProperties()

    - #### getDbInternalJdbcDriverClass

          public java.lang.String getDbInternalJdbcDriverClass()

      JDBC driver class (for use in INTERNAL mode).
      Returns:

    - #### getPoolBlocking

          public boolean getPoolBlocking()

    - #### getThreadPoolMaxSize

          public int getThreadPoolMaxSize()

    - #### getPoolMaxSize

          public int getPoolMaxSize()

    - #### getPoolMinSize

          public int getPoolMinSize()

    - #### getConnectorPort

          public int getConnectorPort()

    - #### getConnectorName

          public java.lang.String getConnectorName()

    - #### getWorkingDir

          public java.lang.String getWorkingDir()

    - #### getDeployDir

          public java.lang.String getDeployDir()

    - #### getTxFactoryClass

          public java.lang.String getTxFactoryClass()

    - #### getEventListeners

          public java.lang.String getEventListeners()

    - #### getMessageExchangeInterceptors

          public java.lang.String getMessageExchangeInterceptors()

    - #### getInMemMexTtl

          public long getInMemMexTtl()

    - #### isDehydrationEnabled

          public boolean isDehydrationEnabled()

    - #### getDehydrationMaximumAge

          public long getDehydrationMaximumAge()

    - #### getDehydrationMaximumCount

          public int getDehydrationMaximumCount()

    - #### isHydrationLazy

          public boolean isHydrationLazy()

    - #### getHydrationLazyMinimumSize

          public int getHydrationLazyMinimumSize()

    - #### getProcessThrottledMaximumCount

          public int getProcessThrottledMaximumCount()

    - #### getInstanceThrottledMaximumCount

          public int getInstanceThrottledMaximumCount()

    - #### getProcessThrottledMaximumSize

          public long getProcessThrottledMaximumSize()

    - #### isProcessSizeThrottled

          public boolean isProcessSizeThrottled()

    - #### isDbLoggingEnabled

          public boolean isDbLoggingEnabled()

    - #### getProperty

          public java.lang.String getProperty(java.lang.String pname)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key,
                                              java.lang.String dflt)

    - #### getProperties

          public java.util.Properties getProperties()

    - #### getDbInternalUserName

          public java.lang.String getDbInternalUserName()

    - #### getDbInternalPassword

          public java.lang.String getDbInternalPassword()

    - #### getMigrationTransactionTimeout

          public int getMigrationTransactionTimeout()